Get Recommended Items
1 min
GET
https://api.upstartcommerce.com/v1/catalog/live/recommendation/item/{catalogItemId}
catalogItemIdstringUnique identifier for a catalog item.
recommendationTypestringRepresents the type to get recommendation against.
top_kstring<p>Maximum number of recommended items to return (positive integer)</p>
customer_idstringCustomer identifier for personalized recommendations
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
200<p>Success-recommended catalog items returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/catalog/live/recommendation/item/{catalogItemId}?recommendationType=frequently_bought&customer_id=string' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'